For the complete documentation index, see llms.txt. This page is also available as Markdown.

Colorize image with auto prompt

Colorize Image With Auto Prompt

post

This is my description of the API endpoint

Body
imagestring · binaryRequired
resolutionstringOptionalDefault: watermarked-sd
promptstringOptionalDefault: ""
standard_filter_idstringOptionalDefault: 1
artistic_filter_idstringOptionalDefault: 0
raw_captionsstringOptionalDefault: false
pre_fixstringOptionalDefault: ""
post_fixstringOptionalDefault: ""
auto_colorstringOptionalDefault: true
white_balancestringOptionalDefault: false
temperaturestringOptionalDefault: -0.1
saturationstringOptionalDefault: 1.1
Responses
200

Successful Response

application/json
contentstring · binaryRequired
media_typestringRequired
post/colorize_image_with_auto_prompt
POST /colorize_image_with_auto_prompt HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 244

{
  "image": "binary",
  "resolution": "watermarked-sd",
  "prompt": "",
  "standard_filter_id": "1",
  "artistic_filter_id": "0",
  "raw_captions": "false",
  "pre_fix": "",
  "post_fix": "",
  "auto_color": "true",
  "white_balance": "false",
  "temperature": "-0.1",
  "saturation": "1.1"
}
{
  "content": "binary",
  "media_type": "text"
}

Last updated